Class | WSDL::XMLSchema::All
In: | wsdl/xmlSchema/all.rb
Parent: | Info

### Methods

<< elementformdefault new parse_attr parse_element targetnamespace

### Attributes

elements | [R] |
maxoccurs | [R] |
minoccurs | [R] |

### Public Class methods

new()

[Source]

    # File wsdl/xmlSchema/all.rb, line 21
      def initialize
        super()
        @minoccurs = '1'
        @maxoccurs = '1'
        @elements = []
      end

### Public Instance methods

<<(element)

[Source]

    # File wsdl/xmlSchema/all.rb, line 36
      def <<(element)
        @elements << element
      end

elementformdefault()

[Source]

    # File wsdl/xmlSchema/all.rb, line 32
      def elementformdefault
        parent.elementformdefault
      end

parse_attr(attr, value)

[Source]

    # File wsdl/xmlSchema/all.rb, line 55
      def parse_attr(attr, value)
        case attr
        when MaxOccursAttrName
          @maxoccurs = value.source
        when MinOccursAttrName
          @minoccurs = value.source
        else
          nil
        end
      end

parse_element(element)

[Source]

    # File wsdl/xmlSchema/all.rb, line 40
      def parse_element(element)
        case element
        when AnyName
          o = Any.new
          @elements << o
          o
        when ElementName
          o = Element.new
          @elements << o
          o
        else
          nil
        end
      end

targetnamespace()

[Source]

    # File wsdl/xmlSchema/all.rb, line 28
      def targetnamespace
        parent.targetnamespace
      end

[Validate]